For the complete documentation index, see llms.txt. This page is also available as Markdown.

External lookup endpoints

Get a lookup record by its ID

get

Retrieves a single lookup record using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
recordIdstringRequired
Responses
200

Successfully retrieved the lookup record.

application/json

LookupRecord

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

createdstring · date-timeOptional

The date when the record was created.

idstringRequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

The date when the record was last modified.

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
get/api/lookuprecords/{recordId}
GET /api/lookuprecords/{recordId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "attributeDefinitions": {},
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "items": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}

Updates a whole lookup record by its ID

put

Updates a single lookup record.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
recordIdstringRequired
Body

LookupRecordForUpdate

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
Responses
200

Successfully updated the lookup record.

application/json

LookupRecord

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

createdstring · date-timeOptional

The date when the record was created.

idstringRequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

The date when the record was last modified.

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
put/api/lookuprecords/{recordId}
PUT /api/lookuprecords/{recordId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "attributeDefinitions": {},
  "items": [
    {
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}
{
  "attributeDefinitions": {},
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "items": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}

Get all lookup records

get

Retrieves all lookup records.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successfully retrieved the lookup records.

application/json

LookupRecord

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

createdstring · date-timeOptional

The date when the record was created.

idstringRequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

The date when the record was last modified.

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
get/api/lookuprecords
GET /api/lookuprecords HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "attributeDefinitions": {},
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "items": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}

Create a lookup record by its ID

post

Creates a single lookup record.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

LookupRecordForCreation

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
Responses
200

Successfully created the lookup record.

application/json

LookupRecord

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

createdstring · date-timeOptional

The date when the record was created.

idstringRequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

The date when the record was last modified.

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
post/api/lookuprecords
POST /api/lookuprecords HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "attributeDefinitions": {},
  "items": [
    {
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "tenantRecordId": "MY_RECORD_ID"
}
{
  "attributeDefinitions": {},
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "items": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}

Delete a lookup record by its ID

delete

Deletes a single lookup record using its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
recordIdstringRequired
Responses
200

Successfully deleted the lookup record.

application/json

LookupRecord

attributeDefinitionsobject · LookupAttributeDefinitionsRequired

LookupAttributeDefinitions

createdstring · date-timeOptional

The date when the record was created.

idstringRequiredExample: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
lastModifiedstring · date-timeOptional

The date when the record was last modified.

tenantRecordIdstring · min: 1 · max: 20Optional

Tenant-specific identifier for the lookup record.

Example: MY_RECORD_ID
versionnumberRequired

The version of the record.

Example: 1
delete/api/lookuprecords/{recordId}
DELETE /api/lookuprecords/{recordId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "attributeDefinitions": {},
  "created": "2026-01-01T00:00:00.000Z",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "items": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "values": [
        {
          "attributeId": "text",
          "attributeValue": "text"
        }
      ]
    }
  ],
  "lastModified": "2026-01-01T00:00:00.000Z",
  "tenantRecordId": "MY_RECORD_ID",
  "version": 1
}

List all record items (search cached for 5 minutes)

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for LookupRecordItem

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

LookupRecordItemSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

LookupRecordItemPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/lookuprecorditems/search
POST /api/lookuprecorditems/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1879

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "or": "[Circular Reference]",
            "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "tenantRecordId": "MY_RECORD_ID",
            "values": {
              "contains": {
                "attributeId": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "attributeValue": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          }
        ],
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "or": [
          {
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "or": "[Circular Reference]",
            "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "tenantRecordId": "MY_RECORD_ID",
            "values": {
              "contains": {
                "attributeId": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                },
                "attributeValue": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          }
        ],
        "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "tenantRecordId": "MY_RECORD_ID",
        "values": {
          "contains": {
            "attributeId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "attributeValue": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        }
      }
    ],
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "or": [
      {
        "and": "[Circular Reference]",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "or": "[Circular Reference]",
        "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "tenantRecordId": "MY_RECORD_ID",
        "values": {
          "contains": {
            "attributeId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "attributeValue": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        }
      }
    ],
    "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "tenantRecordId": "MY_RECORD_ID",
    "values": {
      "contains": {
        "attributeId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "attributeValue": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        }
      },
      "exists": true
    }
  },
  "size": 10
}
{
  "lookupRecordItems": [
    {
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "recordRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "tenantRecordId": "MY_RECORD_ID",
      "values": {
        "attributeId": "text",
        "attributeValue": "text"
      }
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

Last updated

Was this helpful?